package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: fglrx kernel module failed to build

Bug #640046 reported by josue wilson on 2010-09-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
Undecided
Unassigned

Bug Description

help!

ProblemType: Package
DistroRelease: Ubuntu 10.04
Package: fglrx 2:8.723.1-0ubuntu4
Uname: Linux 2.6.32.4-l505d x86_64
NonfreeKernelModules: fglrx
Architecture: amd64
Date: Wed Sep 15 18:24:33 2010
ErrorMessage: fglrx kernel module failed to build
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
PackageVersion: 2:8.723.1-0ubuntu4
SourcePackage: fglrx-installer
Title: package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: fglrx kernel module failed to build
system:
 distro: Ubuntu
 codename: lucid
 architecture: x86_64
 kernel: 2.6.32.4-l505d

CVE References

josue wilson (josuewilson) wrote :
Aaron (soulblade) wrote :

Hi there, Please could you specify:
1> Is a custom kernel version being used?
2> Please could you list the steps that was used to install the driver.

Changed in fglrx-installer (Ubuntu):
status: New → Incomplete
Bryce Harrington (bryce) wrote :

[Resetting to incomplete since we need a response from the original reporter on this].

Changed in fglrx-installer (Ubuntu):
status: Incomplete → New
status: New → Incomplete

Hi Aaron,
When this started was using a custom kernel designed for the toshiba
satellite l505. I had installed the kernel trying to solve acpi issues
which i still couldnt fix on my toshiba satellite C655. I installed the
controller using the hardware controller in the preferences
administration menu and it worked fine for a while. When updating all
the problems started. I couldnt fix it and thought the problem was
caused by some extra repositories i had added somewhere in the proccess
of getting the acpi to work and i ended up doing a clean install of
10.04 without the custom kernel. The fglrx worked fine untill i did an
update and then crashed again. Now I have purged fglrx and am using the
open source driver which is working fine.

Thanks for the follow up!

El dom, 19-09-2010 a las 17:23 +0000, Aaron escribió:
> Hi there, Please could you specify:
> 1> Is a custom kernel version being used?
> 2> Please could you list the steps that was used to install the driver.
>
> ** Changed in: fglrx-installer (Ubuntu)
> Status: New => Incomplete
>

Aaron (soulblade) wrote :

Thanks for responding, It seems to be a security update to the kernel header files that has caused difficulties installing the FGLRX driver. Each time a kernel update is installed the DKMS service will attempt to re-install the FGLRX driver so that it will work with the new kernel.

So on kernel 2.6.32-23 (Including header files) the ATI driver works fine. On 2.6.32-24 the header files changed so DKMS could not install the driver.

I think the 2 easiest options are:
1. Down grade to 2.6.32-23.
2. Wait a few more days and the FGLRX driver the ubuntu provides should work again.

I will attach this report to report 642518. Hopefully once 642518 is fixed for sure you will not have this issue any more.

Changed in fglrx-installer (Ubuntu):
status: Incomplete → Confirmed
josue wilson (josuewilson) wrote :

Thanks for your help Aaron, I really appreciate it!

El jue, 23-09-2010 a las 17:38 +0000, Aaron escribió:
> *** This bug is a duplicate of bug 642518 ***
> https://bugs.launchpad.net/bugs/642518
>
> Thanks for responding, It seems to be a security update to the kernel
> header files that has caused difficulties installing the FGLRX driver.
> Each time a kernel update is installed the DKMS service will attempt to
> re-install the FGLRX driver so that it will work with the new kernel.
>
> So on kernel 2.6.32-23 (Including header files) the ATI driver works
> fine. On 2.6.32-24 the header files changed so DKMS could not install
> the driver.
>
> I think the 2 easiest options are:
> 1. Down grade to 2.6.32-23.
> 2. Wait a few more days and the FGLRX driver the ubuntu provides should work again.
>
> I will attach this report to report 642518. Hopefully once 642518 is
> fixed for sure you will not have this issue any more.
>
> ** Changed in: fglrx-installer (Ubuntu)
> Status: Incomplete => Confirmed
>
> ** This bug has been marked a duplicate of bug 642518
> [MASTER] package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: Kernel fix for CVE-2010-3081 breaks fglrx
> * You can subscribe to bug 642518 by following this link: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/642518/+subscribe
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers